{
  lib,
  pkgs,
  osConfig,
  ...
}:

{
  imports =
    [
      ./firefox.nix
      ./thunderbird.nix
    ]
    ++ lib.optionals osConfig.modules.system.desktop.gnome.enable [
      ./gnome.nix
    ]
    ++ lib.optionals osConfig.modules.system.desktop.hyprland.enable [
      ./hyprland
    ];

  fonts.fontconfig.defaultFonts.sansSerif = [
    "Segoe UI"
  ];

  home.packages = with pkgs; [
    # ardour
    # audacity
    # blender
    # gimp
    # handbrake
    # hunspell
    # hunspellDicts.en-gb-large
    # hunspellDicts.en-us-large
    # inkscape
    # krita
    # libreoffice
    # mkvtoolnix
    # obs-studio
    qbittorrent
    # slack
    # zoom-us
  ];
}
